org.apache.felix.ipojo.handlers.providedservice.strategy

## Interface ServiceObjectFactory

All Superinterfaces:
  IPOJOServiceFactory

    public interface ServiceObjectFactory
    extends IPOJOServiceFactory

Extended iPOJOServiceFactory that supports a close() operation.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Called when the supporting CreationStrategy is unpublished from the service registry.

### Methods inherited from interface org.apache.felix.ipojo.IPOJOServiceFactory

`getService, ungetService`

### Method Detail

#### close

    void close()

Called when the supporting CreationStrategy is unpublished from the service registry. This allows to do an explicit cleanup.